#
#------------------------------------------------------------------
#   <short> - <project>
#------------------------------------------------------------------
#   Date   : 20mmdd
#   Time   : hhmm
#   Author : OMDevelop
#
"""project: ..."""
import threading
#

#------------------------------------------------------------------
#   Global Constant
#------------------------------------------------------------------
#

#
#------------------------------------------------------------------
#   Global Type
#------------------------------------------------------------------
#
class CLaserMatrix():
    #
    def __init__(self, rowcount = 3, colcount = 4):
        self.RowCount = rowcount
        self.ColCount = colcount
    #
    def GetRowCount(self):
        return self.RowCount
    #
    def GetColCount(self):
        return self.ColCount
    #
    def do(self, number):
        return
#
#------------------------------------------------------------------
#   Global Variable
#------------------------------------------------------------------
#

#
#------------------------------------------------------------------
#   Global Function
#------------------------------------------------------------------
#

#
#------------------------------------------------------------------
#   Global Callback
#------------------------------------------------------------------
#

#
#------------------------------------------------------------------
#   Main
#------------------------------------------------------------------
#
if '__main__' == __name__:
    print('*** LaserMatrix *** : start')
    LM = CLaserMatrix()
    print(LM.GetRowCount())
    print(LM.GetColCount())
    print('*** LaserMatrix *** : end')

